# nso_show – Displays data from Cisco NSO

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides support for displaying data from Cisco NSO.

## Requirements

The below requirements are needed on the host that executes this module.

- Cisco NSO version 3.4.12 or higher, 4.1.9 or higher, 4.2.6 or higher, 4.3.7 or higher, 4.4.5 or higher, 4.5 or higher.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

operational
boolean

Choices:
- no ←
- yes

Controls whether or not operational data is included in the result.

password string / required |  | NSO password
path - / required |  | Path to NSO data.
timeout integer added in 2.6 | Default: 300 | JSON-RPC request timeout in seconds
url string / required |  | NSO JSON-RPC URL, http://localhost:8080/jsonrpc
username string / required |  | NSO username

validate_certs
boolean

Choices:
- no ←
- yes

When set to true, validates the SSL certificate of NSO when using SSL

## Examples

    - name: Show devices including operational data
      nso_show:
        url: http://localhost:8080/jsonrpc
        username: username
        password: password
        path: /ncs:devices/device
        operational: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output dictionary | success | Configuration

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Claes Nästén (@cnasten)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.